## class DataProcess : public DFProcess

> data process (DF) node class.

## Inheritance:

### Public Classes

  enum | ActivationType

### Public Methods

  | DataProcess (DFGraph *g)
  int | GetClassType () const
  Subject* | Clone ()
  void | WriteMembers (OutputFile *f)
  bool | ReadMembers (InputFile *f, double format)
  bool | SetReferences (AssocList *)
  bool | IsProcessGroup () const
  bool | IsInstantaneous () const
  void | SetInstantaneous (bool b)
  void | SetProcessGroup (bool b)
  const string* | GetMinispec () const
  void | SetMinispec (const string *s)
  ActivationType | GetActivationMechanism () const
  void | SetActivationMechanism (ActivationType a)
  const string* | GetStimulus () const
  void | SetStimulus (const string *s)
  const string* | GetTimeExpression () const
  void | SetTimeExpression (const string *s)
  static void | ActivationType2String (ActivationType a, string *s)
  static ActivationType | String2ActivationType (const string *s)

### Inherited from DFProcess:

### Public Methods

Subject::NameErrType SetIndex(const string *s)
static bool CorrectIndex(const string *s)

### Inherited from DFNode:

### Public Methods

Subject::NameErrType SetName(const string *s)

### Inherited from Node:

### Public Methods

bool IsEdge() const
bool InGraph() const
const string* GetIndex() const
void GetParentIndex(string *pindex)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

bool IsSubject() const
const string* GetName() const
bool CheckReferences()
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
void Write(OutputFile *ofile)

## Documentation

> data process (DF) node class.

`DataProcess(DFGraph *g)`

`int GetClassType() const`

`Subject* Clone()`

`enum ActivationType`

`void WriteMembers(OutputFile *f)`

`bool ReadMembers(InputFile *f, double format)`

`bool SetReferences(AssocList *)`

`bool IsProcessGroup() const`

`bool IsInstantaneous() const`

`void SetInstantaneous(bool b)`

`void SetProcessGroup(bool b)`

`const string* GetMinispec() const`

`void SetMinispec(const string *s)`

`ActivationType GetActivationMechanism() const`

`void SetActivationMechanism(ActivationType a)`

`const string* GetStimulus() const`

`void SetStimulus(const string *s)`

`const string* GetTimeExpression() const`

`void SetTimeExpression(const string *s)`

`static void ActivationType2String(ActivationType a, string *s)`

`static ActivationType String2ActivationType(const string *s)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de